Team Foundation Installation

Visual Studio Team System
Team Foundation Installation
DropDown image

[This topic is pre-release documentation and is subject to change in future releases. Blank topics are included as placeholders.]

The Team Foundation Installation Guide is a comprehensive guide that covers the installation of Team Foundation using a single- or dual-server, and multi-client topology. Use this installation guide to install and configure Team Foundation.

Overview

Visual Studio 2005 Team Foundation Server provides team collaboration tools that enable organizations to manage and track the progress and health of software projects. Team Explorer integrates the project work products found on the project site into the Visual Studio IDE for efficient team access. Team Foundation also provides extensible work item tracking and enterprise-class version control systems.

Start Here

To successfully install Team Foundation Server, you should:

  • Download the most current version of this guide, which is available for download from the Microsoft Downloads Center (http://go.microsoft.com/fwlink/?LinkId=40042).

  • Review the setup and administration documentation of each of the prerequisites, such as Windows Server 2003, Microsoft SQL Server 2005, and Windows SharePoint Services.

  • Review the applicable sections of this installation guide prior to installing Team Foundation Server.

  • Print and use the applicable checklist for installing Team Foundation Server:

    • Checklist: Team Foundation Server Single-Server Deployment

    • Checklist: Team Foundation Server Dual-Server Deployment

In This Section

Team Foundation Logical Architecture

Provides an overview of the Team Foundation n-tier logical architecture.

Team Foundation Physical Architecture

Provides an overview of the Team Foundation physical architecture, including the functionality provided by each of the Team System products.

Team Foundation System Requirements

Provides the system requirements for hardware and software to install this release of Team Foundation Server.

Related Sections

Overview of Team Foundation Server Security for Setup

Provides security-related information for installing Team Foundation Server.

Overview of Team Foundation Server Single-Server Deployment

Use the procedures in this section to install and configure Team Foundation Server on one server.

Overview of Team Foundation Server Dual-Server Deployment

Use the procedures in this section to install and configure Team Foundation Server using two computers, one for the data tier components and another for the application tier components.

Overview of Installing Team Foundation Build

Use the procedures in this section to install and configure Team Foundation Build, which provides build automation to help you build and share Visual Studio 2005 solutions.

Overview of Installing Team Foundation Server Proxy

Use the procedures in this section to install Team Foundation Server Proxy, which caches previously accessed source control files.

Overview of Installing Team Explorer

Use the procedures in this section to install and configure Team Explorer.

Online Resources

Visual Studio Team System Developer Center (http://go.microsoft.com/fwlink/?linkid=37625).

The Visual Studio Team System home page.

Visual Studio Team System Forums (http://go.microsoft.com/fwlink/?linkid=53443).

Get answers to your questions and troubleshoot problems with an online community of Visual Studio Team System users.

Team Foundation Server Readme (http://go.microsoft.com/fwlink/?linkid=53268).

Contains late-breaking issues related to product installation.

Team Foundation Server Known Issues at (http://go.microsoft.com/fwlink/?linkid=53095).

Contains late-breaking issues related to product use.

Team Foundation Administrator's Guide (http://go.microsoft.com/fwlink/?LinkId=52459).

Provides help for managing users and groups, configuring server and client applications, and an understanding of both software development and your deployment of Visual Studio Team System components.

To make a suggestion or report a bug about Help or another feature of this product, go to the feedback site.


Team Foundation Logical Architecture
See Also
DropDown image

[This topic is pre-release documentation and is subject to change in future releases. Blank topics are included as placeholders.]

Provides an overview of the Team Foundation n-tier logical architecture.

Team Foundation Logical Architecture

Team Foundation is based on a multi-tiered architecture, consisting of a data tier, an application tier, and a client tier.

Data Tier

The Team Foundation data tier consists of Microsoft SQL Server 2005, which stores work items, version-controlled source files, test results and other project metrics.

Application Tier

The Team Foundation application tier is composed of Web-based, front-end applications that are integrated with Internet Information Services (IIS). These applications include Team Foundation Core Services and Microsoft Windows SharePoint Services. In addition, the application tier hosts Team Foundation Windows services.

The Team Foundation application tier also includes Team Foundation Build and Team Foundation Server Proxy. Team Foundation Build provides build automation services. Team Foundation Server Proxy caches previously accessed source control files to improve the performance of source control operations over low-bandwidth connections.

Client Tier

The Team Foundation client tier consists of Team Explorer, which can be used as a standalone application or integrated with Visual Studio 2005 (except for Visual Studio 2005 Express Editions). The client tier also integrates with Microsoft Office Project 2003 and Microsoft Office Excel 2003, which project managers can use to view project information and publish that information to Team Foundation Server.

See Also

Concepts

Team Foundation Installation
Team Foundation Physical Architecture


Team Foundation Physical Architecture
DropDown image

[This topic is pre-release documentation and is subject to change in future releases. Blank topics are included as placeholders.]

Provides an overview of the Team Foundation physical architecture, including the functionality provided by each of the Team System products.

Team Foundation Physical Architecture

You can install the logical tiers of Team Foundation on one or more physical computers.

Team Foundation Server

You can install Team Foundation Server using a single- or dual-server deployment.

Single-Server

The single-server deployment of Team Foundation Server places the data and application tiers on the same computer. If you choose to install the client tier on the same computer as the data and application tiers, you should only do so after installing the server components. Otherwise, you can install the client tier in parallel with the other tiers. For more information, see Overview of Team Foundation Server Single-Server Deployment.

Dual-Server

The dual-server deployment of Team Foundation Server places the data and application tiers on separate computers. You may install prerequisites on both server computers concurrently; however, you must install the Team Foundation data tier components prior to installing the Team Foundation application tier components. If you choose to install the client tier on the same computer as the application tier, you should only do so after installing the application tier components. Otherwise, you can install the client tier in parallel with the other tiers. For more information, see Overview of Team Foundation Server Dual-Server Deployment.

Team Foundation Build

Team Foundation Server offers build automation to help you build and share Visual Studio 2005 solutions using Team Foundation Build. You can install Team Foundation Build on a separate computer, or on the same computer as the Team Foundation application tier. For more information, see Overview of Installing Team Foundation Build.

Team Foundation Server Proxy

Team Foundation Server Proxy improves the performance of Team Foundation version control by caching previously accessed files. You can install Team Foundation Proxy on a separate computer, or on the same computer as the Team Foundation application tier. For more information, see Overview of Installing Team Foundation Server Proxy

Team Explorer

As mentioned earlier, the client tier consists of Team Explorer, which can be used as a standalone application or integrated with Visual Studio 2005 (except for Visual Studio 2005 Express Editions). To access Team Foundation Server, you must first install Team Explorer. Team Explorer is both a standalone application with Team Foundation functionality only, and an addition to Visual Studio that provides integrated Team Foundation functionality. It provides access to work item tracking, project management and version control features. You can also use Team Explorer to access Team Foundation Server features to support development activities with earlier versions of Visual Studio. For more information, see Overview of Installing Team Explorer.

See Also

Concepts

Team Foundation Installation
Team Foundation Logical Architecture


Team Foundation System Requirements

Team Foundation System Requirements
DropDown image

[This topic is pre-release documentation and is subject to change in future releases. Blank topics are included as placeholders.]

Provides the system requirements for hardware and software to install this release of Team Foundation Server.

Team Foundation Server

The following is a list of recommended system requirements for Team Foundation Server. You should also verify that your computers meet the minimum system requirements for Team Foundation Server prerequisites, such as those required by Microsoft SQL Server 2005 and Windows SharePoint Services.

Single-Server Deployment, Small Team

For use at the team level supporting 20 users or less, and for product evaluation:

Component | Recommended
Processor | 2.2 GHz Pentium IV or Athlon
Operating System | Windows Server 2003 with SP1, Enterprise Edition Windows Server 2003 with SP1, Standard Edition
RAM | 1 GB
Hard Disk | 8 GB of available space

Single-Server Deployment, Medium Team

For use at the team level supporting 50 users or less:

Component | Recommended
Processor | 2.2 GHz Pentium IV or Athlon
Operating System | Windows Server 2003 with SP1, Enterprise Edition Windows Server 2003 with SP1, Standard Edition
RAM | 2 GB
Hard Disk | 30 GB of available space

Dual-Server Deployment, Department

For use at the department level supporting 250 users or less:

Team Foundation Application Tier

Component | Recommended
Processor | 2.2 GHz Pentium IV or Athlon
Operating System | Windows Server 2003 with SP1, Enterprise Edition Windows Server 2003 with SP1, Standard Edition
RAM | 1 GB
Hard Disk | 20 GB of available space

Team Foundation Data Tier

Component | Recommended
Processor | Dual-processor, 2.2 GHz Pentium IV or Athlon
Operating System | Windows Server 2003 with SP1, Enterprise Edition Windows Server 2003 with SP1, Standard Edition
RAM | 2 GB
Hard Disk | 80 GB of available space

Dual-Server Deployment, Division

For use at the division level supporting 500 users or less:

Team Foundation Application Tier

Component | Recommended
Processor | Dual-processor, 2.2 GHz Pentium IV or Athlon
Operating System | Windows Server 2003 with SP1, Enterprise Edition Windows Server 2003 with SP1, Standard Edition
RAM | 2 GB
Hard Disk | 40 GB of available space

Team Foundation Data Tier

Component | Recommended
Processor | Quad-processor, 2.2 GHz Pentium IV or Athlon
Operating System | Windows Server 2003 with SP1, Enterprise Edition Windows Server 2003 with SP1, Standard Edition
RAM | 4 GB
Hard Disk | 150 GB of available space

Active Directory Domain Requirement

To set up and configure Team Foundation Server in dual-server deployment, you must use computers that are joined to an Active Directory domain. For single-server deployment, you can use a computer that is a member of a workgroup, or one that is joined to an Active Directory domain. When using computers that are joined to an Active Directory domain, Team Foundation Server requires an Active Directory domain that does not contain Windows NT 4.0 domain controllers. Use the following table to determine if Team Foundation Server supports your Active Directory domain functional level:

Active Directory Domain Functional Level | Supported
Windows 2000 mixed mode - Supports domain controllers running Windows NT 4.0, Windows 2000 and Windows Server 2003. | No
Windows 2000 native mode - Supports domain controllers running Windows 2000 and Windows Server 2003. | Yes
Windows Server 2003 interim mode - Supports domain controllers running Windows NT 4.0 and Windows Server 2003. | No
Windows Server 2003 mode - Supports domain controllers running Windows Server 2003. | Yes

64-Bit Operating System Support

The following table represents the extent of 64-bit operating system support by Team Foundation applications:

Team Foundation Application | Supported
Team Foundation Server1 | No
Team Foundation Server (databases)2 | Yes
Team Foundation Server (services)2 | No
Team Foundation Server (proxy) | No
Team Foundation Server (build) | Yes
Team Explorer | Yes

1 Team Foundation Server single-server deployment.

2 Team Foundation Server dual-server deployment.

Additional Software

To install Team Foundation Server, you will need to be familiar with and install the following software:

Software | Purpose
Microsoft SQL Server 2005 (Standard or Enterprise Edition) | Database back-end for Team Foundation Server and Windows SharePoint Services.
Windows SharePoint Services 2.0 with Service Pack 2 | Hosts team project portal sites.
Microsoft Office Excel 2003 | Supports optional Team Foundation integration for work item tracking.
Microsoft Office Project Professional 2003 | Supports optional Team Foundation integration for work item tracking.

Team Foundation Server includes a licensed copy of Microsoft SQL Server 2005 Standard Edition for use with Team Foundation Server.

Team Explorer

The Team Explorer system requirements are the same as the Visual Studio 2005 system requirements. For more information, see the Visual Studio 2005 Readme. Team Explorer recommended hardware requirements are as follows:

Component | Recommended
Processor | 2.0 GHz
Operating System | The Team Explorer operating system requirements are the same as the Visual Studio 2005 operating system requirements. For more information, see the Visual Studio 2005 Readme.
RAM | 256 MB
Hard Disk | 5 GB of available space

Team Foundation Build

The Team Foundation Build software requirements are the same as the Visual Studio 2005 system requirements except that support is limited to Windows XP Professional with SP2 and Windows Server 2003 with SP1 Standard or Enterprise Edition. For more information, see the Visual Studio 2005 Readme. Team Foundation Build recommended hardware requirements are as follows:

Small Team

For use with projects that take less than 30 minutes to build:

Component | Recommended
Processor | 1.5 GHz
Operating System | Windows Server 2003 with SP1, Enterprise Edition Windows Server 2003 with SP1, Standard Edition Windows XP Professional with SP2
RAM | 512 MB

Medium Team

For use with projects that take less than 2 hours to build:

Component | Recommended
Processor | 2.6 GHz Pentium IV or Athlon
Operating System | Windows Server 2003 with SP1, Enterprise Edition Windows Server 2003 with SP1, Standard EditionWindows XP Professional with SP2
RAM | 1 GB

Large Team

For use with projects that take more than 2 hours to build:

Component | Recommended
Processor | Dual-processor, 2.8 GHz Pentium IV or Athlon
Operating System | Windows Server 2003 with SP1, Enterprise Edition Windows Server 2003 with SP1, Standard Edition Windows XP Professional with SP2
RAM | 2 GB

See Also

Concepts

Team Foundation Installation


Overview of Team Foundation Server Security for Setup

Overview of Team Foundation Server Security for Setup
DropDown image

[This topic is pre-release documentation and is subject to change in future releases. Blank topics are included as placeholders.]

Provides security-related information for installing Team Foundation Server.

In This Section

User Accounts Required for Team Foundation Server Setup

Describes the user accounts you need to create to set up and configure Team Foundation Server.

Ports Required for Team Foundation Server Setup

Provides information about the ports you need to open on intervening firewalls so that the Team Foundation components can communicate with each other.

Team Foundation Server Security Groups

Describes the security groups Team Foundation Server uses to manage security.

How to: Add Users to the Team Foundation Administrators Application Group

Describes how to add users to the Team Foundation Administrators group, which contains users that can perform all privileged Team Foundation operations on the server.

Managing Security Roles for Team Foundation Server

Describes the security roles required for Team Foundation Server, including Windows SharePoint Services and SQL Server Reporting Services.

Related Sections

Overview of Team Foundation Server Single-Server Deployment

Use the procedures in this section to install and configure Team Foundation Server on one server.

Overview of Team Foundation Server Dual-Server Deployment

Use the procedures in this section to install and configure Team Foundation Server using two computers, one for the data tier components and another for the application tier components.

Overview of Installing Team Foundation Build

Use the procedures in this section to install and configure Team Foundation Build, which provides build automation to help you build and share Visual Studio 2005 solutions.

Overview of Installing Team Foundation Server Proxy

Use the procedures in this section to install Team Foundation Server Proxy, which caches previously accessed source control files.

Overview of Installing Team Explorer

Use the procedures in this section to install and configure Team Explorer.

See Also

Concepts

Team Foundation Installation


User Accounts Required for Team Foundation Server Setup

User Accounts Required for Team Foundation Server Setup
DropDown image

[This topic is pre-release documentation and is subject to change in future releases. Blank topics are included as placeholders.]

Describes the user accounts you need to create to set up and configure Team Foundation Server.

Deployment Considerations

The user account requirements vary depends primarily upon the choice of deployment model (single-server or dual-server). In a single-server deployment, you have the option of using Active Directory domain user accounts or local user accounts.

Single-Server Deployment

To set up and configure Team Foundation Server using a single-server deployment on a computer joined to an Active Directory domain, you will need three Active Directory domain user accounts as outlined in the table below. To set up and configure Team Foundation Server using a single-server deployment on a computer that is a member of a workgroup, you can use local user accounts.

Dual-Server Deployment

To set up and configure Team Foundation Server using a dual-server deployment, both computers must be joined to an Active Directory domain and you will need three Active Directory domain user accounts as outlined in the table below.

Required Accounts

This installation guide refers to these accounts by name. If you choose to use different user logon names, or if you have existing accounts you can use, be sure to substitute the correct name as appropriate during setup.

Note Important

If you install Team Foundation Server using local user accounts for running setup and services, you may not be able to add domain user accounts to Team Foundation Server.

Sample user logon name Purpose

TFSSETUP1

  • Used to run Team Foundation Server Setup.

  • This account must be an administrator on Team Foundation Server computers.

TFSSERVICE1

  • Used as the logon account by Team Foundation Server Windows services (Code Coverage Analysis Service and TFSSchedulerService), and the SharePoint Timer Service.

  • Used as the application pool identity by the Team Foundation Server application pool (VSTF AppPool), and the Windows SharePoint Services application pools (TFWSS and WSS_AppPool).

  • This account should not be an administrator on Team Foundation Server computers.

TFSREPORTS1

  • Used by SQL Server Reporting Services data sources.

  • This account should not be an administrator on Team Foundation Server computers.

1 Once again, these are sample names. If you choose to use different user logon names, or if you have existing accounts you can use, be sure to substitute the correct name as appropriate during setup.

See Also

Concepts

Team Foundation Installation

Other Resources

Overview of Team Foundation Server Security for Setup


Ports Required for Team Foundation Server Setup

Ports Required for Team Foundation Server Setup
DropDown image

[This topic is pre-release documentation and is subject to change in future releases. Blank topics are included as placeholders.]

Provides information about the ports you need to open on intervening firewalls so that the Team Foundation components can communicate with each other.

Required Ports

To enable communication between Team Foundation Server, its prerequisites and clients, you must ensure that any firewalls located between those components permit communication through a number of ports.

Note Note

The Team Foundation Server and SQL Server setup wizards will automatically add exceptions for required ports to running instances of Windows Firewall. If Windows Firewall is not running, or if it is configured to not allow exceptions, exceptions will not be added.

Required Ports for SQL Server 2005

Microsoft SQL Server 2005 (Dev, Standard, or Enterprise Edition) uses the following ports:

Service or Application Context | Port | Protocol
SQL Server Reporting Services | 80 | TCP
SQL Server | 1433 | TCP
SQL Server Analysis Services | 2382 | TCP
SQL Server Analysis Services | 2383 | TCP

Required Ports for Windows SharePoint Services

Windows SharePoint Services uses the following ports:

Service or Application Context | Port | Protocol
Windows SharePoint Services | 80 | TCP
SharePoint Central Administration | Varies1 | TCP

1The Windows SharePoint Services Administration Web site port varies with each installation. To identify the correct port, in Control Panel, open Administrative Tools, and then open SharePoint Central Administration. The port that appears in the URL for this Web site is the port to use.

Required Ports for Team Foundation Server

Team Foundation Server uses the following ports:

Service or Application Context | Port | Protocol
Team Foundation Server | 8080 | TCP
Team Foundation Server Proxy | 8081 | TCP
Team Foundation Build | 9191 | TCP

Scope

In Windows Firewall, you can specify the set of computers for which a port or service is unblocked. By default, the scope is set to Any computer (including those on the Internet). If you choose to limit the scope for which a port or service is unblocked, ensure all computers who need to access that port or service are contained within the specified scope.

See Also

Other Resources

Overview of Team Foundation Server Security for Setup


Team Foundation Server Security Groups
DropDown image

[This topic is pre-release documentation and is subject to change in future releases. Blank topics are included as placeholders.]

Describes the security groups Team Foundation Server uses to manage security.

Team Foundation Server Security Groups

Team Foundation Server security is managed by Team Foundation Server security groups, which are not the same as Windows domain or local security groups.

Team Foundation Server Security Group Description

Team Foundation Administrators

  • This group contains users that can perform all privileged operations on the server.

  • By default, setup adds the account used to run setup (for example, Domain\TFSSETUP) to this group.

Service Accounts

  • This group contains Team Foundation Server service accounts, such as the application pool identities for Team Foundation Server Web services (for example, Domain\TFSSERVICE).

Team Foundation Valid Users

  • This group contains all users and groups that have access to the server.

Team Foundation Server Setup adds the user account used to run setup (for example, Domain\TFSSETUP) to the Team Foundation Administrators group. To add other users to this group, you must use an account that is already a member of Team Foundation Administrators. After setup is completed, you will need to log on using the same account used to run setup (for example, Domain\TFSSETUP) to add the initial new members to the Team Foundation Administrators group.

Team Foundation Server Setup also adds the Team Foundation Server service account (for example, Domain\TFSSERVICE) to the Service Accounts group.

See Also

Tasks

How to: Add Users to the Team Foundation Administrators Application Group

Concepts

Team Foundation Installation

Other Resources

Overview of Team Foundation Server Security for Setup


How to: Add Users to the Team Foundation Administrators Application Group

How to: Add Users to the Team Foundation Administrators Application Group
See Also

[This topic is pre-release documentation and is subject to change in future releases. Blank topics are included as placeholders.]

Team Foundation Server security is managed by Team Foundation Server security groups, which are not the same as Windows domain or local security groups. The Team Foundation Administrators group contains users that can perform all privileged Team Foundation operations on the server.

Note Note

The user account used to run Team Foundation Server Setup (for example, Domain\TFSSETUP) is automatically added to the Team Foundation Administrators group. To add other users to this group, you must use an account that is already a member of this security group (for example, Domain\TFSSETUP).

To add a user to the Team Foundation Administrators security group using Team Explorer

  1. Log on to the client tier computer using the credentials of a user account that is already a member of the Team Foundation Administrators security group (for example, Domain\TFSSETUP).

  2. Install Team Explorer. For more information, see Overview of Installing Team Explorer.

  3. Start Visual Studio and connect to Team Foundation Server. For more information, see How to: Connect Team Explorer to Team Foundation Server.

  4. In Team Explorer, select the Team Foundation Server to manage.

  5. On the Team menu, point to Team Foundation Server Settings, and then click Group Membership.

  6. In the Global Groups dialog box, select the group to which you want to add users, and then click Properties.

  7. In the Team Foundation Server Group Properties dialog box, on the Members tab, select Windows User or Group, and then click Add.

  8. In the Select User Names or Groups dialog box, enter the domain name and username of the users you want to add in the following format:

    domain\username

    To add more than one user at a time, separate the entries with a semicolon (;).

  9. Click OK.

To add a user to the Team Foundation Administrators security group using the TFS Group Security Client Tool (TFSSecurity.EXE)

  1. Log on to the application tier computer using the credentials of a user account that is already a member of the Team Foundation Administrators security group (for example, Domain\TFSSETUP).

  2. Open a Command Prompt in the installation folder for Team Foundation Server and change directory to the %ProgramFiles%\Microsoft Visual Studio 2005 Team Foundation Server\Tools directory (for example, C:\Program Files\Microsoft Visual Studio 2005 Team Foundation Server\Tools).

  3. Use the TFS Group Security Client Tool (TFSSecurity.EXE) to add a user to the Team Foundation Administrators group (adm:):

    TFSSecurity.exe /g+ adm: n:domain\username

See Also

Concepts

Team Foundation Installation


Managing Security Roles for Team Foundation Server

Managing Security Roles for Team Foundation Server
DropDown image

[This topic is pre-release documentation and is subject to change in future releases. Blank topics are included as placeholders.]

Describes the security roles required for Team Foundation Server, including Windows SharePoint Services and SQL Server Reporting Services.

Security Role Membership

When adding a user account to a Team Foundation Server security role, you must also add that user to the appropriate security role in Window SharePoint Services and SQL Server Reporting Services.

To create a new team project in Team Foundation Server, you must be a member of the Team Foundation Administrators group, a member of the Windows SharePoint Services Administrator role, and a member of the SQL Server Reporting Services Content Manager role. The following table indicates the correct security role membership in each of these products for the global security groups in Team Foundation Server.

Team Foundation Server Security Group | Windows SharePoint Services Role | SQL Server Reporting Services Role
[Server]\Team Foundation Administrators | Administrator (top-level site) | Content Manager (system-level role)
[Server]\Team Foundation Valid Users | n/a1 | n/a1
[Server]\Service Accounts | n/a2 | n/a2

1The Team Foundation Valid Users group contains all users and groups that have access to the server. This group contains all users and groups that are members of the team projects that exist on the server. There is no need to manage membership of this group.

2Accounts in the Service Accounts group do not require membership in security roles on Windows SharePoint Services or SQL Server Reporting Services.

After creating a team project, you assign users to different roles to manage their permissions on a per project basis. Windows SharePoint Services sites do not inherit security settings from the top-level site. Conversely, SQL Server Reporting Services item-level security inherits system-level roles. The following table indicates the correct security role membership in each of these products for the project-level security groups in Team Foundation Server.

Team Foundation Server Security Group | Windows SharePoint Services Role | SQL Server Reporting Services Role
[ProjectName]\Project Administrators1 | Administrator | Content Manager
[ProjectName]\Contributor1 | Contributor | Browser
[ProjectName]\Reader1 | Reader | Browser

1This name is derived from the MSF for Agile Software Development process template. The actual name of project-level security groups will vary based on the chosen process template.

The procedures for managing security role membership in Windows SharePoint Services and SQL Server Reporting Services can be found the product documentation that accompanies each product.

See Also

Concepts

Team Foundation Installation


Overview of Team Foundation Server Single-Server Deployment

Overview of Team Foundation Server Single-Server Deployment
DropDown image

[This topic is pre-release documentation and is subject to change in future releases. Blank topics are included as placeholders.]

Use the procedures in this section to install and configure Team Foundation Server on one server.

In This Section

Team Foundation Installation Roadmap for Single-Server Deployment

Provides a general overview for installing and configuring Team Foundation Server and its prerequisites on one server.

Checklist: Team Foundation Server Single-Server Deployment

Provides a checklist to use as a handy reference during Team Foundation Server single-server deployment.

Installing Team Foundation Server

Provides detailed instructions for installing and configuring Team Foundation Server and its prerequisites on one server.

Related Sections

Team Foundation System Requirements

Provides the system requirements for hardware and software to install this release of Team Foundation Server.

Overview of Team Foundation Server Security for Setup

Provides security-related information for installing Team Foundation Server.

Overview of Team Foundation Server Dual-Server Deployment

Use the procedures in this section to install and configure Team Foundation Server using two computers, one for the data tier components and another for the application tier components.

Overview of Installing Team Foundation Build

Use the procedures in this section to install and configure Team Foundation Build, which provides build automation to help you build and share Visual Studio 2005 solutions.

Overview of Installing Team Explorer

Use the procedures in this section to install and configure Team Explorer.

See Also

Concepts

Team Foundation Installation


Team Foundation Installation Roadmap for Single-Server Deployment

Team Foundation Installation Roadmap for Single-Server Deployment
See Also
CollapseAll image DropDown image

[This topic is pre-release documentation and is subject to change in future releases. Blank topics are included as placeholders.]

Follow this roadmap to install and configure a single-server deployment of Team Foundation Server.

Expand image Prerequisites

Note Note

This release only supports deployment of Team Foundation on "clean machines" (computers on which no other applications have been installed since installing the operating system). Upgrading from previous installations of Team Foundation Server (for example, Team Foundation Server Beta 2) is not supported.

  • Hardware and software that meets the Team Foundation System Requirements.

  • A user account (for example, Domain\TFSSETUP) for running Team Foundation Server Setup. You must add this user account to the local Administrators group prior to running Team Foundation Server Setup. For more information, see User Accounts Required for Team Foundation Server Setup.

  • A user account (for example, Domain\TFSSERVICE) for the Team Foundation Application Pool Identity. For more information, see User Accounts Required for Team Foundation Server Setup.

  • A user account (for example, Domain\TFSREPORTS) for use by SQL Server Reporting Services data sources. For more information, see User Accounts Required for Team Foundation Server Setup.

Expand image Installing Team Foundation Server

The single-server deployment of Team Foundation Server places the data and application tier components on the same computer. If you choose to install the client tier on the same computer as the data and application tiers, you should only do so after installing the server components. Otherwise, you can install the client tier in parallel with the other tiers.

To install Team Foundation Server

  1. Install and complete the prerequisites for Team Foundation Server:

    1. Install Windows Server 2003 with SP1 Enterprise or Standard Edition.

    2. Add the Team Foundation Server Setup account (for example, Domain\TFSSETUP) to the local Administrators group. For more information, see User Accounts Required for Team Foundation Server Setup.

    3. Install Internet Information Services 6.0. For more information, see How to: Install Internet Information Services for Team Foundation Server.

    4. Install Microsoft SQL Server 2005 (Standard or Enterprise Edition). Team Foundation Server includes a licensed copy of Microsoft SQL Server 2005 Standard Edition. For more information, see How to: Install Microsoft SQL Server 2005 for Team Foundation Server (Single-Server Deployment).

    5. Install Windows SharePoint Services with Service Pack 1. For more information, see How to: Install Microsoft Windows SharePoint Services for Team Foundation Server (Single-Server Deployment).

  2. Log on to Windows using the Team Foundation Server Setup account (for example, Domain\TFSSETUP) and install Team Foundation Server. For more information, see How to: Install Team Foundation Server.

Expand image Installing Team Foundation Build

Team Foundation Server offers build automation to help you build and share Visual Studio 2005 solutions using Team Foundation Build. You should install Team Foundation Build on its own server.

To install Team Foundation Build

  1. Install and complete the prerequisites for a Team Foundation Build computer:

    1. Install an operating system that meets the system requirements for Team Foundation Build. For more information, see Team Foundation System Requirements.

    2. Add the Team Foundation Server Setup account (for example, Domain\TFSSETUP) to the local Administrators group. For more information, see User Accounts Required for Team Foundation Server Setup.

  2. Log on to Windows using the Team Foundation Server Setup account (for example, Domain\TFSSETUP) and install Team Foundation Build. For more information, see How to: Install Team Foundation Build.

Expand image Installing Team Foundation Server Proxy

Team Foundation Server Proxy improves the performance of Team Foundation version control by caching previously accessed files. You can install Team Foundation Server Proxy at remote locations to improve performance over low-bandwidth connections. You can also obtain gains in performance by installing Team Foundation Server Proxy on the same server as Team Foundation Server.

To install Team Foundation Server Proxy

  1. Install and complete the prerequisites for Team Foundation Server Proxy:

    1. Install Windows Server 2003 with SP1 Enterprise or Standard Edition.

    2. Add the Team Foundation Server Setup account (for example, Domain\TFSSETUP) to the local Administrators group. For more information, see User Accounts Required for Team Foundation Server Setup.

    3. Install Internet Information Services 6.0 and enable ASP.NET. For more information, see How to: Install Internet Information Services for Team Foundation Server Proxy.

    4. Team Foundation Server is installed on this computer, or elsewhere.

  2. Log on to Windows using the Team Foundation Server Setup account (for example, Domain\TFSSETUP) and install Team Foundation Server Proxy. For more information, see How to: Install Team Foundation Server Proxy.

After installing Team Foundation Server Proxy, you must configure Team Explorer to use the proxy server. For more information, see How to: Configure Team Explorer to Use a Team Foundation Server Proxy.

Expand image Installing Team Explorer

You may install the prerequisites and Visual Studio on client tier computers while installing Team Foundation Server. However, you must completely set up Team Foundation Server before you can connect to Team Foundation Server. Team Explorer provides access to Team Foundation Server functionality.

If you choose to install the client tier on the same computer as Team Foundation Server, you should only do so after installing Team Foundation Server. Otherwise, you can install the client tier in parallel with Team Foundation Server.

To install Team Explorer

  1. Install the prerequisites for the client tier computer:

    1. Install an operating system that meets the system requirements for Visual Studio 2005 as specified in the Visual Studio 2005 Readme.

    2. Install Microsoft Office Excel 2003 (required for optional Microsoft Excel integration with work item tracking).

    3. Install Microsoft Office Project Professional 2003 (required for optional Microsoft Project integration with work item tracking).

    For more information, see How to: Install Team Explorer Prerequisites.

  2. Install Team Explorer on the client tier computer. For more information, see How to: Install Team Explorer.

  3. After installing Team Foundation Server and Team Explorer, add and connect to Team Foundation Server. For more information, see How to: Connect Team Explorer to Team Foundation Server.

You can use Team Explorer to manage Team Foundation Server users, groups, and security.

Expand image See Also

Other Resources

Overview of Team Foundation Server Single-Server Deployment
Overview of Installing Team Explorer


Checklist: Team Foundation Server Single-Server Deployment

Checklist: Team Foundation Server Single-Server Deployment
CollapseAll image DropDown image

[This topic is pre-release documentation and is subject to change in future releases. Blank topics are included as placeholders.]

Provides a checklist to use as a handy reference during Team Foundation Server single-server deployment.

Expand image Single-Server Deployment Checklist

This checklist outlines the general steps for installing Team Foundation Server using a single-server deployment, which places the Team Foundation data and application tiers on the same computer. You should print this checklist and mark each step as you complete it.

Done Step

Verify hardware and software requirements. For more information, see Team Foundation System Requirements.

Obtain three user accounts:

  • A user account to run setup (for example, Domain\TFSSETUP).

  • A user account to run Team Foundation services (for example, Domain\TFSSERVICE).

  • A user account to access SQL Server Reporting Services data sources (for example, Domain\TFSREPORTS).

  • For more information, see User Accounts Required for Team Foundation Server Setup.

Add the account for running Team Foundation Server Setup (for example, Domain\TFSSETUP) to the local Administrators group.

Install Internet Information Services (IIS) 6.0. Enable ASP.NET, but do not install FrontPage Server Extensions. For more information, see How to: Install Internet Information Services for Team Foundation Server.

Install Standard or Enterprise Edition as the default instance of SQL Server on this computer. For more information, see How to: Install Microsoft SQL Server 2005 for Team Foundation Server (Single-Server Deployment).

You can verify your installation using the steps outlined in the following topics, which are located in SQL Server Books Online:

  • How to: Verify a Successful Installation of SQL Server 2005 Services

  • How to: Verify a Reporting Services Installation

Install Windows SharePoint Services 2.0 with Service Pack 2 for use with Team Foundation Server. Team Foundation Server Setup will finish configuring Windows SharePoint Services for you. For more information, see How to: Install Microsoft Windows SharePoint Services for Team Foundation Server (Single-Server Deployment).

After installing Windows SharePoint Services, reboot the computer.

If you are using Windows Firewall, or a third-party firewall software or hardware solution, you should ensure that the required ports are open to permit communication between components. For more information, see Ports Required for Team Foundation Server Setup.

Install Team Foundation Server. For more information, see How to: Install Team Foundation Server.

Add additional users who may require the ability to create team projects to the Team Foundation Administrators application group. For more information, see How to: Add Users to the Team Foundation Administrators Application Group.

To create team projects, users must also be a member of the Windows SharePoint Services Administrator role, and a member of the SQL Server Reporting Services Content Manager role. For more information, see Managing Security Roles for Team Foundation Server.

Expand image See Also

Tasks

Team Foundation Installation Roadmap for Single-Server Deployment

Other Resources

Overview of Team Foundation Server Single-Server Deployment


Installing Team Foundation Server

Installing Team Foundation Server
DropDown image

[This topic is pre-release documentation and is subject to change in future releases. Blank topics are included as placeholders.]

Use the procedures in this section to install and configure Team Foundation Server and its prerequisites using one computer for both the data tier and application tier components.

In This Section

How to: Install Internet Information Services for Team Foundation Server

Describes how to install and configure Internet Information Services (IIS) 6.0.

How to: Install Microsoft SQL Server 2005 for Team Foundation Server (Single-Server Deployment)

Describes how to install and configure SQL Server 2005 for Team Foundation Server.

How to: Install Microsoft Windows SharePoint Services for Team Foundation Server (Single-Server Deployment)

Describes how to install and configure Windows SharePoint Services for Team Foundation Server.

How to: Install Team Foundation Server

Describes how to install and configure the Team Foundation Server data and application tier components.

See Also

Tasks

Team Foundation Installation Roadmap for Single-Server Deployment

Other Resources

Overview of Team Foundation Server Single-Server Deployment


How to: Install Internet Information Services for Team Foundation Server

How to: Install Internet Information Services for Team Foundation Server
See Also

[This topic is pre-release documentation and is subject to change in future releases. Blank topics are included as placeholders.]

Use this procedure to install and configure Internet Information Services (IIS) 6.0 for Team Foundation Server.

Note Important

If you plan to use this computer as a domain controller, you should do so before installing IIS. Promoting a computer to be a domain controller deletes all local user accounts, including those used by IIS. This is by design since domain controllers do not have any local user accounts.

To install IIS using the Configure Your Server Wizard

  1. Start the Configure Your Server Wizard by doing either of the following:

    • By default, Manage Your Server starts automatically when Windows starts. From Manage Your Server, click Add or remove a role.

    • From Control Panel, open Administrative Tools, and then open Configure Your Server Wizard.

  2. On the Welcome to the Configure Your Server Wizard page, click Next.

  3. On the Preliminary Steps page, click Next.

  4. On the Server Role page, select Application server (IIS, ASP.NET), and then click Next.

  5. On the Application Server Options page, select Enable ASP.NET, and then click Next.

    Note Important

    Do not select FrontPage Server Extensions. This server will host Windows SharePoint Services, which is incompatible with FrontPage Server Extensions.

  6. On the Summary of Selections page, click Next.

    Note Note

    You may be prompted for your Windows Server 2003 installation media.

  7. Click Finish to complete the wizard.

  8. Visit Windows Update (http://windowsupdate.microsoft.com) and install all items in the Critical Updates and Service Packs group.

To install IIS using Add or Remove Programs utility

  1. From Control Panel, open Add or Remove Programs.

  2. Click Add/Remove Windows Components.

    The Windows Components Wizard starts.

  3. On the Windows Components page, select Application Server, and then click Details.

  4. If not already checked, select ASP.NET, and then click OK.

    Note Important

    If you select Internet Information Services (IIS) and click Details, do not select FrontPage 2002 Server Extensions. This server will host Windows SharePoint Services, which is incompatible with FrontPage Server Extensions.

  5. On the Windows Components page, click Next.

    Note Note

    You may be prompted for your Windows Server 2003 installation media.

  6. Click Finish to close the wizard.

  7. Visit Windows Update (http://windowsupdate.microsoft.com) and install all items in the Critical Updates and Service Packs group.

See Also

Tasks

Team Foundation Installation Roadmap for Single-Server Deployment

Other Resources

Installing Team Foundation Server


How to: Install Microsoft SQL Server 2005 for Team Foundation Server (Single-Server Deployment)

How to: Install Microsoft SQL Server 2005 for Team Foundation Server (Single-Server Deployment)
See Also

[This topic is pre-release documentation and is subject to change in future releases. Blank topics are included as placeholders.]

Use this procedure to install and configure Microsoft SQL Server 2005 Standard or Enterprise Edition for Team Foundation Server interactively using the setup wizard, or using an answer file.

Install Microsoft SQL Server 2005

Install Microsoft SQL Server 2005 Standard or Enterprise Edition. Team Foundation Server includes a licensed copy of Microsoft SQL Server 2005 Standard Edition.

Note Note

You must install Internet Information Services (IIS) 6.0 before installing Microsoft SQL Server 2005.

To install Microsoft SQL Server 2005 interactively

  1. Log on to Windows using the Team Foundation Server Setup account (for example, Domain\TFSSETUP).

  2. On the autorun page that appears after inserting the installation media, under Install click Server components, tools, Books Online, and samples.

    If the autorun page does not appear, locate and run the autorun file (splash.hta) in the root folder on the installation media.

    The Microsoft SQL Server 2005 Setup wizard starts.

  3. On the End User License Agreement page, review the license agreement. If you accept the terms and conditions, select I accept the licensing terms and conditions, and then click Next.

  4. On the Installing Prerequisites page, click Install. After the required components are installed successfully, click Next.

    The Microsoft SQL Server Installation Wizard starts.

  5. Click Next to start the System Configuration Check.

  6. On the System Configuration Check page, check the status of any required actions, such as required system restarts and follow the guidance on this page until all actions achieve Success status. After all actions achieve Success status, click Next to start installation.

    Note Note

    It may take a few moments for the installer to start.

  7. On the Registration Information page, complete the registration information, and then click Next.

  8. On the Components to Install page, select SQL Server Database Services, Analysis Services, Integration Services, and Reporting Services, and then click Next.

    Note Note

    If you click Advanced, do not remove any default selections.

  9. On the Instance Name page, select Default instance, and then click Next.

    Note Important

    Team Foundation Server setup will fail if you specify a named instance.

  10. On the Service Account page, select Use the built-in System account and from the list select Local system. In Start services at the end of setup, select all services: SQL Server, SQL Server Agent, Analysis Services, Reporting Services, and SQL Browser, and then click Next.

  11. On the Authentication Mode page, select Windows Authentication Mode, and then click Next.

  12. On the Collation Settings page, accept the default options. However, if you must choose a different setting, do not select a collation setting that is binary or case sensitive. Click Next.

  13. On the Report Server Installation Options page, select Install the default configuration, and then click Next.

  14. On the Error and Usage Report Settings page, you can optionally select Automatically send Error reports for SQL Server 2005 to Microsoft or your corporate error reporting server and Automatically send Feature Usage data for SQL Server 2005 to Microsoft, and then click Next.

  15. On the Ready to Install page, you can review the list of components to be installed, and then click Install.

  16. On the Setup Progress page, you can monitor the installation status of each component. After setup has completed, click Next.

    Note Note

    Installation may appear to hang for several minutes during activation of SQL Server Reporting Services.

  17. Click Finish to exit the wizard.

Alternatively, you can install Microsoft SQL Server 2005 using the provided answer file from the command line. This answer file will automate setup to install and configure Microsoft SQL Server 2005 for use with Team Foundation Server.

To install Microsoft SQL Server 2005 using an answer file

  1. Log on to Windows using the Team Foundation Server Setup account (for example, Domain\TFSSETUP).

  2. On the Team Foundation Server installation media, locate and copy the pre-configured auto-answer file (TFSQL2005AnswerFile.ini or TFSQL2005AnswerFilewTools.ini) to a convenient location on your local hard drive (for example, C:\).

    • TFSQL2005AnswerFile.ini - Installs SQL Server for use with Team Foundation Server using the minimum required components.

    • TFSQL2005AnswerFilewTools.ini - Installs SQL Server for use with Team Foundation Server using the minimum required components, plus additional tools.

  3. Run setup for Microsoft SQL Server 2005 using the following command line:

    C:\>SQLServerSetupDirectory\setup.exe /qb /settings AnswerFileDirectory\TFSQL2005AnswerFile.ini PIDKEY=ProductKey

    - or -

    C:\>SQLServerSetupDirectory\setup.exe /qb /settings AnswerFileDirectory\TFSQL2005AnswerFilewTools.ini PIDKEY=ProductKey

    Where SQLServerSetupDirectory is the path to setup.exe for Microsoft SQL Server 2005, AnswerFileDirectory is the path to the answer file, and ProductKey is the product key for Microsoft SQL Server 2005 without hyphens or spaces.

See Also

Tasks

Team Foundation Installation Roadmap for Single-Server Deployment

Other Resources

Installing Team Foundation Server


How to: Install Microsoft Windows SharePoint Services for Team Foundation Server (Single-Server Deployment)

How to: Install Microsoft Windows SharePoint Services for Team Foundation Server (Single-Server Deployment)
See Also

[This topic is pre-release documentation and is subject to change in future releases. Blank topics are included as placeholders.]

Use the following procedure to install Microsoft Windows SharePoint Services 2.0 for Team Foundation Server interactively using the setup wizard, or silently from the command line.

Note Important

Windows SharePoint Services requires an NTFS file system.

Install Microsoft Windows SharePoint Services

Install Microsoft Windows SharePoint Services 2.0 with Service Pack 2.

Note Note

Prior to installing Team Foundation Server on a localized version of Windows SharePoint Services, you must first install the Windows SharePoint Services language pack that matches the Team Foundation Server language. For example, if you plan to install a localized version of Windows SharePoint Services and the English version of Team Foundation Server, you must install the English Windows SharePoint Services language pack before installing Team Foundation Server.

To install Windows SharePoint Services interactively

  1. Log on to Windows using the Team Foundation Server Setup account (for example, Domain\TFSSETUP).

  2. Download Microsoft Windows SharePoint Services 2.0 with Service Pack 2 (http://go.microsoft.com/fwlink/?linkid=55087) and save the file to your local hard drive.

  3. Run the downloaded self-extracting installer file (stsv2.exe).

  4. On the End-User License Agreement page, review the license agreement. If you accept the terms and conditions, select I accept the terms in the License Agreement, and then click Next.

  5. On the Type of Installation page, select Server Farm, and then click Next.

    Note Important

    You must install Windows SharePoint Services using the Server Farm option. This configures Windows SharePoint Services to use a remote SQL Server. Later, Team Foundation Server Setup will configure Windows SharePoint Services to use the same SQL Server instance as the rest of Team Foundation Server.

  6. On the Summary page, click Install.

    When the installation is complete, a Web browser window opens and displays the Configure Administrative Virtual Server page. After confirming that the page appears, close the browser window without making any changes.

    Note Important

    Do not make any changes on the page that appears. Later, Team Foundation Server Setup will configure Windows SharePoint Services to use the same SQL Server instance as the rest of Team Foundation Server.

    If the page does not appear, you should determine the cause and troubleshoot using the Windows SharePoint Services Administrator's Guide (http://go.microsoft.com/fwlink/?LinkId=52668).

  7. Visit Windows Update (http://windowsupdate.microsoft.com) and install all items in the Critical Updates and Service Packs group.

  8. Reboot the computer.

Alternatively, you can install Windows SharePoint Services silently from the command line.

To install Windows SharePoint Services silently

  1. Log on to Windows using the Team Foundation Server Setup account (for example, Domain\TFSSETUP).

  2. Download Microsoft Windows SharePoint Services 2.0 with Service Pack 2 (http://go.microsoft.com/fwlink/?linkid=55087) and save the file to a convenient location on your local hard drive.

  3. Run the downloaded self-extracting installer file (stsv2.exe) using the following command line:

    C:\>DownloadDirectory\STSV2.EXE /C:"setupsts.exe /remoteSql=yes /provision=no /q"

    Where DownloadDirectory is the path to the location on your hard drive where you saved the downloaded file.

    Note Important

    You must install Windows SharePoint Services using the /remoteSql=yes option. This configures Windows SharePoint Services to use a remote SQL Server. The /provision=no option will defer configuration of Windows SharePoint Services. Later, Team Foundation Server Setup will configure Windows SharePoint Services to use the same SQL Server instance as the rest of Team Foundation Server.

    You will not receive any indication that setup is complete. Instead, allow several minutes for setup to complete before continuing.

  4. Visit Windows Update (http://windowsupdate.microsoft.com) and install all items in the Critical Updates and Service Packs group.

  5. Reboot the computer.

See Also

Tasks

Team Foundation Installation Roadmap for Single-Server Deployment

Other Resources

Installing Team Foundation Server


How to: Install Team Foundation Server

How to: Install Team Foundation Server

[This topic is pre-release documentation and is subject to change in future releases. Blank topics are included as placeholders.]

Use this procedure to install Team Foundation Server.

To install Team Foundation Server

  1. Complete all Team Foundation Server prerequisites. For more information, see Installing Team Foundation Server and Team Foundation Installation Roadmap for Single-Server Deployment.

  2. Log on to Windows using the Team Foundation Server Setup account (for example, Domain\TFSSETUP).

  3. On the autorun page that appears after inserting the installation media, click Install Team Foundation Server, and then click Single-Server Installation.

    If the autorun page does not appear, locate and run the autorun file (autorun.exe) in the root folder on the installation media.

    The Visual Studio Team Foundation Server Setup wizard starts.

  4. On the Welcome to Setup page, click Next.

  5. On the End-User License Agreement and Product Key page, review the license agreement. If you accept the terms and conditions, select I accept the terms of the License Agreement, and then click Next.

  6. On the System Health Check page, the setup wizard will scan your system for conditions that could cause setup to fail, or cause issues later during server operation. After completing the system scan, setup will report the status of the system health check. If the system health check finds any issues, you can click a link to review a report about specific warnings and blocks. Warnings should be addressed before continuing with setup, but should not prevent setup from completing. Blocks must be addressed before continuing with setup. If the system health check did not find any blocks, click Next. Otherwise, click Cancel and run setup again after fixing any blocking issues.

  7. On the Destination Folder page, accept the default destination folder and click Next.

  8. On the Service Logon Account page, type the Windows domain user account you created for the Team Foundation Server Service account (for example, Domain\TFSSERVICE) in the Account Name box, type the password in the Password box, and then click Next. For more information, see User Accounts Required for Team Foundation Server Setup.

  9. On the Reporting Logon Account page, type the account information for the Team Foundation Server Reporting account (for example, Domain\TFSREPORTS), and then click Next.

    Note Note

    This account should not be the same as the Team Foundation Server Setup or Service accounts.

  10. On the Specify Alert Settings page, select Enable Team Foundation Alerts, and type the following information:

    • In the SMTP server box, type the name of the server that you will use to send e-mail notifications.

    • In the From e-mail address box, type the name of the e-mail address from which notifications should appear to come, and then click Next.

  11. On the Ready to Install page, click Install.

  12. On the Installing Components page, you can monitor the installation of Team Foundation Server.

    During installation, you may be prompted to restart your computer. Click Restart Now and setup will continue after the computer restarts and you log on again.

  13. On the Setup Completed Successfully page, click Finish.

Security

The user account running Team Foundation Server Setup (for example, Domain\TFSSETUP) must be a member of the local Administrators security group (BUILTIN\Administrators) to install Team Foundation Server.

See Also

Other Resources

Installing Team Foundation Server


Overview of Team Foundation Server Dual-Server Deployment

Overview of Team Foundation Server Dual-Server Deployment
DropDown image

[This topic is pre-release documentation and is subject to change in future releases. Blank topics are included as placeholders.]

Use the procedures in this section to install and configure Team Foundation Server using two computers, one for the data tier components and another for the application tier components.

In This Section

Team Foundation Installation Roadmap for Dual-Server Deployment

Provides a general overview for installing and configuring Team Foundation Server and its prerequisites on two servers.

Checklist: Team Foundation Server Dual-Server Deployment

Provides a checklist to use as a handy reference during Team Foundation Server dual-server deployment.

Installing Team Foundation Server (databases)

Provides detailed instructions for installing and configuring Team Foundation Server data tier components and their prerequisites on a server separate from the application tier components.

Installing Team Foundation Server (services)

Provides detailed instructions for installing and configuring Team Foundation Server application tier components and their prerequisites on a server separate from the data tier components.

Related Sections

Team Foundation System Requirements

Provides the system requirements for hardware and software to install this release of Team Foundation Server.

Overview of Team Foundation Server Security for Setup

Provides security-related information for installing Team Foundation Server.

Overview of Team Foundation Server Single-Server Deployment

Use the procedures in this section to install and configure Team Foundation Server on one server.

Overview of Installing Team Foundation Build

Use the procedures in this section to install and configure Team Foundation Build, which provides build automation to help you build and share Visual Studio 2005 solutions.

Overview of Installing Team Foundation Server Proxy

Use the procedures in this section to install Team Foundation Server Proxy, which caches previously accessed source control files.

Overview of Installing Team Explorer

Use the procedures in this section to install and configure Team Explorer.

See Also

Concepts

Team Foundation Installation


Team Foundation Installation Roadmap for Dual-Server Deployment

Team Foundation Installation Roadmap for Dual-Server Deployment
See Also
CollapseAll image DropDown image

[This topic is pre-release documentation and is subject to change in future releases. Blank topics are included as placeholders.]

Follow this roadmap to install and configure a dual-server deployment of Team Foundation Server.

Expand image Prerequisites

Note Note

This release only supports deployment of Team Foundation on "clean machines" (computers on which no other applications have been installed since installing the operating system). Upgrading from previous installations of Team Foundation Server (for example, Team Foundation Server Beta 2) is not supported.

  • Hardware and software that meets the Team Foundation System Requirements.

  • A Windows 2003 Active Directory domain.

  • A Windows 2003 Active Directory domain user account (for example, Domain\TFSSETUP) for running Team Foundation Server Setup. You must add this user account to the local Administrators group on both the data and application tier computers prior to running Team Foundation Server Setup. For more information, see User Accounts Required for Team Foundation Server Setup.

  • A Windows 2003 Active Directory domain user account (for example, Domain\TFSSERVICE) for the Team Foundation Application Pool Identity. For more information, see User Accounts Required for Team Foundation Server Setup.

  • A user account (for example, Domain\TFSREPORTS) for use by SQL Server Reporting Services data sources. For more information, see User Accounts Required for Team Foundation Server Setup.

Expand image Installing Team Foundation Server

The dual-server deployment of Team Foundation Server places the data and application tiers on separate computers. You may install prerequisites on both server computers concurrently; however, you must install the Team Foundation data tier components prior to installing the Team Foundation application tier components. If you choose to install the client tier on the same computer as the application tier, you should only do so after installing the application tier components. Otherwise, you can install the client tier in parallel with the other tiers.

To install the data tier

  1. Install and complete the prerequisites for the data tier computer:

    1. Install Windows Server 2003 with SP1 Enterprise or Standard Edition.

    2. Add the Team Foundation Server Setup account (for example, Domain\TFSSETUP) to the local Administrators group. For more information, see User Accounts Required for Team Foundation Server Setup.

    3. Install Internet Information Services 6.0. For more information, see How to: Install Internet Information Services for Team Foundation Server (databases).

    4. Install Microsoft SQL Server 2005 (Standard or Enterprise Edition). Team Foundation Server includes a licensed copy of Microsoft SQL Server 2005 Standard Edition. For more information, see How to: Install Microsoft SQL Server 2005 for Team Foundation Server (Dual-Server Deployment).

  2. Log on to Windows using the Team Foundation Server Setup account (for example, Domain\TFSSETUP) and install Team Foundation Server Data Tier. For more information, see How to: Install Team Foundation Server (databases).

To install the application tier

  1. Install and complete the prerequisites for the application tier computer:

    1. Install Windows Server 2003 with SP1 Enterprise or Standard Edition.

      Note Important

      When selecting the type of file system to use, select NTFS. Windows SharePoint Services requires an NTFS file system.

    2. Add the Team Foundation Server Setup account (for example, Domain\TFSSETUP) to the local Administrators group. For more information, see User Accounts Required for Team Foundation Server Setup.

    3. Install Internet Information Services 6.0 and enable ASP.NET. For more information, see How to: Install Internet Information Services for Team Foundation Server (services).

    4. Install Windows SharePoint Services. For more information, see How to: Install Microsoft Windows SharePoint Services for Team Foundation Server (Dual-Server Deployment).

  2. Log on to Windows using the Team Foundation Server Setup account (for example, Domain\TFSSETUP) and install Team Foundation Server Application Tier. For more information, see How to: Install Team Foundation Server (services).

  3. Log on to Windows using the Team Foundation Server Setup account (for example, Domain\TFSSETUP) and add the Team Foundation Server Service account (for example, Domain\TFSSERVICE) to the Team Foundation Administrators group. For more information, see How to: Add Users to the Team Foundation Administrators Application Group.

Expand image Installing Team Foundation Build

Team Foundation Server offers build automation to help you build and share Visual Studio 2005 solutions using Team Foundation Build. You should install Team Foundation Build on its own server.

To install Team Foundation Build

  1. Install and complete the prerequisites for a Team Foundation Build computer:

    1. Install an operating system that meets the system requirements for Team Foundation Build. For more information, see Team Foundation System Requirements.

    2. Add the Team Foundation Server Setup account (for example, Domain\TFSSETUP) to the local Administrators group. For more information, see User Accounts Required for Team Foundation Server Setup.

  2. Log on to Windows using the Team Foundation Server Setup account (for example, Domain\TFSSETUP) and install Team Foundation Build. For more information, see How to: Install Team Foundation Build.

Expand image Installing Team Foundation Server Proxy

Team Foundation Server Proxy improves the performance of Team Foundation version control by caching previously accessed files. You can install Team Foundation Server Proxy at remote locations to improve performance over low-bandwidth connections. You can also obtain gains in performance by installing Team Foundation Server Proxy on the same server as Team Foundation Server.

To install Team Foundation Server Proxy

  1. Install and complete the prerequisites for Team Foundation Server Proxy:

    1. Install Windows Server 2003 with SP1 Enterprise or Standard Edition.

    2. Add the Team Foundation Server Setup account (for example, Domain\TFSSETUP) to the local Administrators group. For more information, see User Accounts Required for Team Foundation Server Setup.

    3. Install Internet Information Services 6.0 and enable ASP.NET. For more information, see How to: Install Internet Information Services for Team Foundation Server Proxy.

    4. Team Foundation Server is installed on this computer, or elsewhere.

  2. Log on to Windows using the Team Foundation Server Setup account (for example, Domain\TFSSETUP) and install Team Foundation Server Proxy. For more information, see How to: Install Team Foundation Server Proxy.

After installing Team Foundation Server Proxy, you must configure Team Explorer to use the proxy server. For more information, see How to: Configure Team Explorer to Use a Team Foundation Server Proxy.

Expand image Installing Team Explorer

You may install the prerequisites and Visual Studio on the client tier computer while installing Team Foundation Server. However, you must completely set up Team Foundation Server and install Team Explorer before you can connect to Team Foundation Server. Team Explorer provides access to Team Foundation Server functionality.

If you choose to install the client tier on the same computer as the application tier, you should only do so after installing the application tier components. Otherwise, you can install the client tier in parallel with the other tiers.

To install Team Explorer

  1. Install the prerequisites for the client tier computer:

    1. Install an operating system that meets the system requirements for Visual Studio 2005 as specified in the Visual Studio 2005 Readme.

    2. Install Microsoft Office Excel 2003 (required for optional Microsoft Excel integration with work item tracking).

    3. Install Microsoft Office Project Professional 2003 (required for optional Microsoft Project integration with work item tracking).

    For more information, see How to: Install Team Explorer Prerequisites.

  2. Install Team Explorer on the client tier computer. For more information, see How to: Install Team Explorer.

  3. After installing Team Foundation Server and Team Explorer, add and connect to Team Foundation Server. For more information, see How to: Connect Team Explorer to Team Foundation Server.

You can use Team Explorer to manage Team Foundation Server users, groups, and security.

Expand image See Also

Other Resources

Overview of Team Foundation Server Dual-Server Deployment


Checklist: Team Foundation Server Dual-Server Deployment

Checklist: Team Foundation Server Dual-Server Deployment
CollapseAll image DropDown image

[This topic is pre-release documentation and is subject to change in future releases. Blank topics are included as placeholders.]

Provides a checklist to use as a handy reference during Team Foundation Server dual-server deployment.

Expand image Dual-Server Deployment Checklist

This checklist outlines the general steps for installing Team Foundation Server using a dual-server deployment, which places the Team Foundation data and application tiers on separate computers. You should print this checklist and mark each step as you complete it.

Done Step

Verify hardware and software requirements. For more information, see Team Foundation System Requirements.

Obtain three user accounts:

  • An Active Directory domain user account to run setup (for example, Domain\TFSSETUP).

  • An Active Directory domain user account to run Team Foundation services (for example, Domain\TFSSERVICE).

  • An Active Directory domain user account to access SQL Server Reporting Services data sources (for example, Domain\TFSREPORTS).

For more information, see User Accounts Required for Team Foundation Server Setup.

On the data tier computer, add the account for running Team Foundation Server Setup (for example, Domain\TFSSETUP) to the local Administrators group.

On the application tier computer, add the account for running Team Foundation Server Setup (for example, Domain\TFSSETUP) to the local Administrators group.

On the data tier computer, install Internet Information Services (IIS) 6.0. Enable ASP.NET, but do not install FrontPage Server Extensions. For more information, see How to: Install Internet Information Services for Team Foundation Server (databases).

On application tier computer, install Internet Information Services (IIS) 6.0. Enable ASP.NET, but do not install FrontPage Server Extensions. For more information, see How to: Install Internet Information Services for Team Foundation Server (services).

On the data tier computer, install Standard or Enterprise Edition as the default instance of SQL Server on this computer. For more information, see How to: Install Microsoft SQL Server 2005 for Team Foundation Server (Dual-Server Deployment).

You can verify your installation using the steps outlined in the following topics, which are located in SQL Server Books Online:

  • How to: Verify a Successful Installation of SQL Server 2005 Services

  • How to: Verify a Reporting Services Installation

On the data tier computer, if you are using Windows Firewall, or a third-party firewall software or hardware solution, you should ensure that the required ports are open to permit communication between components. For more information, see Ports Required for Team Foundation Server Setup.

On the data tier computer, install Team Foundation Server (databases). For more information, see How to: Install Team Foundation Server (databases).

On the application tier computer, install Windows SharePoint Services 2.0 with Service Pack 2 for use with Team Foundation Server. Team Foundation Server (services) Setup will finish configuring Windows SharePoint Services for you. For more information, see How to: Install Microsoft Windows SharePoint Services for Team Foundation Server (Dual-Server Deployment).

After installing Windows SharePoint Services, reboot the application tier computer.

On the application tier computer, install Team Foundation Server (services). For more information, see How to: Install Team Foundation Server (services).

On the application tier computer, if you are using Windows Firewall, or a third-party firewall software or hardware solution, you should ensure that the required ports are open to permit communication between components. For more information, see Ports Required for Team Foundation Server Setup.

Add additional users who may require the ability to create team projects to the Team Foundation Administrators Application Group. For more information, see How to: Add Users to the Team Foundation Administrators Application Group.

To create team projects, users must also be a member of the Windows SharePoint Services Administrator role, and a member of the SQL Server Reporting Services Content Manager role. For more information, see Managing Security Roles for Team Foundation Server.

Expand image See Also

Tasks

Team Foundation Installation Roadmap for Dual-Server Deployment

Other Resources

Overview of Team Foundation Server Dual-Server Deployment


Installing Team Foundation Server (databases)

Installing Team Foundation Server (databases)
See Also
DropDown image

[This topic is pre-release documentation and is subject to change in future releases. Blank topics are included as placeholders.]

Use the procedures in this section to install and configure Team Foundation Server data-tier components and their prerequisites on a server separate from the application-tier components.

These prerequisites and components include:

Component | Installation order
Internet Information Services (IIS) 6.0 | First. Prerequisite for Team Foundation Server data-tier components.
SQL Server 2005 | Second. Prerequisite for Team Foundation Server data-tier components
Team Foundation Server data tier components | Third.

For an overview of the entire process for installing Team Foundation Server on two computers, see Team Foundation Installation Roadmap for Dual-Server Deployment.

In This Section

How to: Install Internet Information Services for Team Foundation Server (databases)

Describes how to install Information Services (IIS) 6.0 on the data tier.

How to: Install Microsoft SQL Server 2005 for Team Foundation Server (Dual-Server Deployment)

Describes how to install SQL Server 2005 on the data tier.

How to: Install Team Foundation Server (databases)

Describes how to install the Team Foundation Server data-tier components.

See Also

Other Resources

Overview of Team Foundation Server Dual-Server Deployment
Installing Team Foundation Server (services)


How to: Install Internet Information Services for Team Foundation Server (databases)

How to: Install Internet Information Services for Team Foundation Server (databases)
See Also

[This topic is pre-release documentation and is subject to change in future releases. Blank topics are included as placeholders.]

Use this procedure to install Internet Information Services (IIS) 6.0 on the Team Foundation Server data tier.

Note Important

If you plan to use this computer as a domain controller, you should do so before installing IIS. Promoting a computer to be a domain controller deletes all local user accounts, including those used by IIS. This is by design since domain controllers do not have any local user accounts.

To install IIS using the Configure Your Server Wizard

  1. Start the Configure Your Server Wizard by doing either of the following:

    • By default, Manage Your Server starts automatically when Windows starts. From Manage Your Server, click Add or remove a role.

    • From Control Panel, open Administrative Tools, and then open Configure Your Server Wizard.

  2. On the Welcome to the Configure Your Server Wizard page, click Next.

  3. On the Preliminary Steps page, click Next.

  4. On the Server Role page, select Application server (IIS, ASP.NET), and then click Next.

  5. On the Application Server Options page, select Enable ASP.NET, and then click Next.

  6. On the Summary of Selections page, click Next.

    Note Note

    You may be prompted for your Windows Server 2003 installation media.

  7. Click Finish to complete the wizard.

  8. Visit Windows Update (http://windowsupdate.microsoft.com) and install all items in the Critical Updates and Service Packs group.

To install IIS using Add or Remove Programs utility

  1. From Control Panel, open Add or Remove Programs.

  2. Click Add/Remove Windows Components.

    The Windows Components Wizard starts.

  3. On the Windows Components page, select Application Server, and then click Details.

  4. If not already checked, select ASP.NET, and then click OK.

  5. On the Windows Components page, click Next.

    Note Note

    You may be prompted for your Windows Server 2003 installation media.

  6. Click Finish to close the wizard.

  7. Visit Windows Update (http://windowsupdate.microsoft.com) and install all items in the Critical Updates and Service Packs group.

See Also

Tasks

Team Foundation Installation Roadmap for Dual-Server Deployment

Other Resources

Installing Team Foundation Server (databases)


How to: Install Microsoft SQL Server 2005 for Team Foundation Server (Dual-Server Deployment)

How to: Install Microsoft SQL Server 2005 for Team Foundation Server (Dual-Server Deployment)
See Also

[This topic is pre-release documentation and is subject to change in future releases. Blank topics are included as placeholders.]

Use this procedure to install and configure Microsoft SQL Server 2005 Standard or Enterprise Edition for Team Foundation Server interactively using the setup wizard, or using an answer file.

Install Microsoft SQL Server 2005

Install Microsoft SQL Server 2005 Standard or Enterprise Edition. Team Foundation Server includes a licensed copy of Microsoft SQL Server 2005 Standard Edition.

Note Note

You must install Internet Information Services (IIS) 6.0 before installing Microsoft SQL Server 2005.

To install Microsoft SQL Server 2005 interactively

  1. On the data tier computer, log on to Windows using the Team Foundation Server Setup account (for example, Domain\TFSSETUP).

  2. On the autorun page that appears after inserting the installation media, under Install click Server components, tools, Books Online, and samples.

    If the autorun page does not appear, locate and run the autorun file (splash.hta) in the root folder on the installation media.

    The Microsoft SQL Server 2005 Setup wizard starts.

  3. On the End User License Agreement page, review the license agreement. If you accept the terms and conditions, select I accept the licensing terms and conditions, and then click Next.

  4. On the Installing Prerequisites page, click Install. After the required components are installed successfully, click Next.

    The Microsoft SQL Server Installation Wizard starts.

  5. Click Next to start the System Configuration Check.

  6. On the System Configuration Check page, check the status of any required actions, such as required system restarts and follow the guidance on this page until all actions achieve Success status. After all actions achieve Success status, click Next to start installation.

    Note Note

    It may take a few moments for the installer to start.

  7. On the Registration Information page, complete the registration information, and then click Next.

  8. On the Components to Install page, select SQL Server Database Services, Analysis Services, Integration Services, and Reporting Services, and then click Next.

    Note Note

    If you click Advanced, do not remove any default selections.

  9. On the Instance Name page, select Default instance, and then click Next.

    Note Important

    Team Foundation Server setup will fail if you specify a named instance.

  10. On the Service Account page, select Use the built-in System account and from the list select Local system. In Start services at the end of setup, select all services: SQL Server, SQL Server Agent, Analysis Services, Reporting Services, and SQL Browser, and then click Next.

  11. On the Authentication Mode page, select Windows Authentication Mode, and then click Next.

  12. On the Collation Settings page, accept the default options. However, if you must choose a different setting, do not select a collation setting that is binary or case sensitive. Click Next.

  13. On the Report Server Installation Options page, select Install the default configuration, and then click Next.

  14. On the Error and Usage Report Settings page, you can optionally select Automatically send Error reports for SQL Server 2005 to Microsoft or your corporate error reporting server and Automatically send Feature Usage data for SQL Server 2005 to Microsoft, and then click Next.

  15. On the Ready to Install page, you can review the list of components to be installed, and then click Install.

  16. On the Setup Progress page, you can monitor the installation status of each component. After setup has completed, click Next.

    Note Note

    Installation may appear to hang for several minutes during activation of SQL Server Reporting Services.

  17. Click Finish to exit the wizard.

Alternatively, you can install Microsoft SQL Server 2005 using the provided answer file from the command line. This answer file will automate setup to install and configure Microsoft SQL Server 2005 for use with Team Foundation Server.

To install Microsoft SQL Server 2005 using an answer file

  1. On the data tier computer, log on to Windows using the Team Foundation Server Setup account (for example, Domain\TFSSETUP).

  2. On the Team Foundation Server installation media, locate and copy the pre-configured auto-answer file (TFSQL2005AnswerFile.ini or TFSQL2005AnswerFilewTools.ini) to a convenient location on your local hard drive (for example, C:\).

    • TFSQL2005AnswerFile.ini - Installs SQL Server for use with Team Foundation Server using the minimum required components.

    • TFSQL2005AnswerFilewTools.ini - Installs SQL Server for use with Team Foundation Server using the minimum required components, plus additional tools.

  3. Run setup for Microsoft SQL Server 2005 using the following command line:

    C:\>SQLServerSetupDirectory\setup.exe /qb /settings AnswerFileDirectory\TFSQL2005AnswerFile.ini PIDKEY=ProductKey

    - or -

    C:\>SQLServerSetupDirectory\setup.exe /qb /settings AnswerFileDirectory\TFSQL2005AnswerFilewTools.ini PIDKEY=ProductKey

    Where SQLServerSetupDirectory is the path to setup.exe for Microsoft SQL Server 2005, AnswerFileDirectory is the path to the answer file, and ProductKey is the product key for Microsoft SQL Server 2005 without hyphens or spaces.

See Also

Tasks

Team Foundation Installation Roadmap for Dual-Server Deployment

Other Resources

Installing Team Foundation Server (databases)


How to: Install Team Foundation Server (databases)

How to: Install Team Foundation Server (databases)
See Also

[This topic is pre-release documentation and is subject to change in future releases. Blank topics are included as placeholders.]

Use this procedure to install the Team Foundation Server data-tier components.

To install the Team Foundation Server (databases)

  1. Complete all data tier prerequisites. For more information, see Installing Team Foundation Server (databases) and Team Foundation Installation Roadmap for Dual-Server Deployment.

  2. Log on to Windows using the Team Foundation Server Setup account (for example, Domain\TFSSETUP).

  3. On the autorun page that appears after inserting the installation media, click Install Team Foundation Server, click Dual-Server Installation, and then click Install the Team Foundation Databases Tier ONLY.

    If the autorun page does not appear, locate and run the autorun file (autorun.exe) in the root folder on the installation media.

    The Visual Studio 2005 Team Foundation Server (databases) Setup wizard starts.

  4. On the Welcome to Setup page, click Next.

  5. On the End-User License Agreement and Product Key page, review the license agreement. If you accept the terms and conditions, select I accept the terms of the License Agreement, and then click Next.

  6. On the System Health Check page, the setup wizard will scan your system for conditions that could cause setup to fail, or cause issues later during server operation. After completing the system scan, setup will report the status of the system health check. If the system health check finds any issues, you can click a link to review a report about specific warnings and blocks. Warnings should be addressed before continuing with setup, but should not prevent setup from completing. Blocks must be addressed before continuing with setup. If the system health check did not find any blocks, click Next. Otherwise, click Cancel and run setup again after fixing any blocking issues.

  7. On the Destination Folder page, click Next.

  8. On the Service Account page, type the Windows domain user account you created for the Team Foundation Server Service account (for example, Domain\TFSSERVICE) in the Web service account name box, and then click Next. For more information, see User Accounts Required for Team Foundation Server Setup.

  9. On the Ready to Install page, click Install.

  10. On the Installing Components page, you can monitor the installation of Team Foundation data-tier components.

    During installation, you may be prompted to restart your computer. Click Restart Now and setup will continue after the computer restarts and you log on again using the same account.

  11. On the Setup Completed Successfully page, click Finish.

  12. On the autorun page, click Exit.

Security

The user account running Team Foundation Server Setup (for example, Domain\TFSSETUP) must be a member of the local Administrators security group (BUILTIN\Administrators) on the data-tier computer to install the Team Foundation Server (databases).

See Also

Tasks

Team Foundation Installation Roadmap for Dual-Server Deployment

Other Resources

Installing Team Foundation Server (databases)


Installing Team Foundation Server (services)

Installing Team Foundation Server (services)
See Also
DropDown image

[This topic is pre-release documentation and is subject to change in future releases. Blank topics are included as placeholders.]

Use the procedures in this section to install and configure Team Foundation Server application-tier components and their prerequisites on a server separate from the data-tier components.

These prerequisites and components include:

Component | Installation order
Internet Information Services (IIS) 6.0 | First. Prerequisite for Team Foundation Server application- tier components.
Windows SharePoint Services | Second. Prerequisite for Team Foundation Server application-tier components
Team Foundation Server application-tier components | Third.

For an overview of the entire process for installing Team Foundation Server on two computers, see Team Foundation Installation Roadmap for Dual-Server Deployment.

In This Section

How to: Install Internet Information Services for Team Foundation Server (services)

Describes how to install and configure Internet Information Services (IIS) 6.0 on the application tier.

How to: Install Microsoft Windows SharePoint Services for Team Foundation Server (Dual-Server Deployment)

Describes how to install and configure Windows SharePoint Services on the application tier.

How to: Install Team Foundation Server (services)

Describes how to install the Team Foundation Server application-tier components.

See Also

Other Resources

Overview of Team Foundation Server Dual-Server Deployment
Installing Team Foundation Server (databases)


How to: Install Internet Information Services for Team Foundation Server (services)

How to: Install Internet Information Services for Team Foundation Server (services)
See Also

[This topic is pre-release documentation and is subject to change in future releases. Blank topics are included as placeholders.]

Use this procedure to install Internet Information Services (IIS) 6.0 on the Team Foundation Server application tier.

Note Important

If you plan to use this computer as a domain controller, you should do so before installing IIS. Promoting a computer to be a domain controller deletes all local user accounts, including those used by IIS. This is by design since domain controllers do not have any local user accounts.

To configure the server as an application server

  1. Start the Configure Your Server Wizard by doing either of the following:

    • By default, Manage Your Server starts automatically when Windows starts. From Manage Your Server, click Add or remove a role.

    • From Control Panel, open Administrative Tools, and then open Configure Your Server Wizard.

  2. On the Welcome to the Configure Your Server Wizard page, click Next.

  3. On the Preliminary Steps page, click Next.

  4. On the Server Role page, select Application server (IIS, ASP.NET), and then click Next.

  5. On the Application Server Options page, select Enable ASP.NET, and then click Next.

    Note Important

    Do not select FrontPage Server Extensions. This server will host Windows SharePoint Services, which is incompatible with FrontPage Server Extensions.

  6. On the Summary of Selections page, click Next.

    Note Note

    You may be prompted for your Windows Server 2003 installation media.

  7. Click Finish to complete the wizard.

  8. Visit Windows Update (http://windowsupdate.microsoft.com) and install all items in the Critical Updates and Service Packs group.

To enable ASP.NET using the Add or Remove Programs utility

  1. From Control Panel, open Add or Remove Programs.

  2. Click Add/Remove Windows Components.

    The Windows Components Wizard starts.

  3. On the Windows Components page, select Application Server, and then click Details.

  4. If not already checked, select ASP.NET, and then click OK.

    Note Important

    Do not at any time select FrontPage 2002 Server Extensions. This server will host Windows SharePoint Services, which is incompatible with FrontPage Server Extensions.

  5. On the Windows Components page, click Next.

    Note Note

    You may be prompted for your Windows Server 2003 installation media.

  6. Click Finish to close the wizard.

  7. Visit Windows Update (http://windowsupdate.microsoft.com) and install all items in the Critical Updates and Service Packs group.

See Also

Tasks

Team Foundation Installation Roadmap for Dual-Server Deployment

Other Resources

Installing Team Foundation Server (services)


How to: Install Microsoft Windows SharePoint Services for Team Foundation Server (Dual-Server Deployment)

How to: Install Microsoft Windows SharePoint Services for Team Foundation Server (Dual-Server Deployment)
See Also

[This topic is pre-release documentation and is subject to change in future releases. Blank topics are included as placeholders.]

Use the following procedure to install Microsoft Windows SharePoint Services 2.0 for Team Foundation Server interactively using the setup wizard, or silently from the command line.

Note Important

Windows SharePoint Services requires an NTFS file system.

Install Microsoft Windows SharePoint Services

Install Microsoft Windows SharePoint Services 2.0 with Service Pack 2.

Note Note

Prior to installing Team Foundation Server on a localized version of Windows SharePoint Services, you must first install the Windows SharePoint Services language pack that matches the Team Foundation Server language. For example, if you plan to install a localized version of Windows SharePoint Services and the English version of Team Foundation Server, you must install the English Windows SharePoint Services language pack before installing Team Foundation Server.

To install Windows SharePoint Services interactively

  1. On the application tier computer, log on to Windows using the Team Foundation Server Setup account (for example, Domain\TFSSETUP).

  2. Download Microsoft Windows SharePoint Services 2.0 with Service Pack 2 (http://go.microsoft.com/fwlink/?linkid=55087) and save the file to your local hard drive.

  3. Run the downloaded self-extracting installer file (stsv2.exe).

  4. On the End-User License Agreement page, review the license agreement. If you accept the terms and conditions, select I accept the terms in the License Agreement, and then click Next.

  5. On the Type of Installation page, select Server Farm, and then click Next.

    Note Important

    You must install Windows SharePoint Services using the Server Farm option. This configures Windows SharePoint Services to use a remote SQL Server. Later, Team Foundation Server Setup will configure Windows SharePoint Services to use the same SQL Server instance as the rest of Team Foundation Server.

  6. On the Summary page, click Install.

    When the installation is complete, a Web browser window opens and displays the Configure Administrative Virtual Server page. After confirming that the page appears, close the browser window without making any changes.

    Note Important

    Do not make any changes on the page that appears. Later, Team Foundation Server Setup will configure Windows SharePoint Services to use the same SQL Server instance as the rest of Team Foundation Server.

    If the page does not appear, you should determine the cause and troubleshoot using the Windows SharePoint Services Administrator's Guide (http://go.microsoft.com/fwlink/?LinkId=52668).

  7. Visit Windows Update (http://windowsupdate.microsoft.com) and install all items in the Critical Updates and Service Packs group.

  8. Reboot the computer.

Alternatively, you can install Windows SharePoint Services silently from the command line.

To install Windows SharePoint Services silently

  1. On the application tier computer, log on to Windows using the Team Foundation Server Setup account (for example, Domain\TFSSETUP).

  2. Download Microsoft Windows SharePoint Services 2.0 with Service Pack 2 (http://go.microsoft.com/fwlink/?linkid=55087) and save the file to a convenient location on your local hard drive.

  3. Run the downloaded self-extracting installer file (stsv2.exe) using the following command line:

    C:\>DownloadDirectory\STSV2.EXE /C:"setupsts.exe /remoteSql=yes /provision=no /q"

    Where DownloadDirectory is the path to the location on your hard drive where you saved the downloaded file.

    Note Important

    You must install Windows SharePoint Services using the /remoteSql=yes option. This configures Windows SharePoint Services to use a remote SQL Server. The /provision=no option will defer configuration of Windows SharePoint Services. Later, Team Foundation Server Setup will configure Windows SharePoint Services to use the same SQL Server instance as the rest of Team Foundation Server.

    You will not receive any indication that setup is complete. Instead, allow several minutes for setup to complete before continuing.

  4. Visit Windows Update (http://windowsupdate.microsoft.com) and install all items in the Critical Updates and Service Packs group.

  5. Reboot the computer.

See Also

Tasks

Team Foundation Installation Roadmap for Dual-Server Deployment

Other Resources

Installing Team Foundation Server (services)


How to: Install Team Foundation Server (services)

How to: Install Team Foundation Server (services)
See Also

[This topic is pre-release documentation and is subject to change in future releases. Blank topics are included as placeholders.]

Use this procedure to install the Team Foundation Server application tier components.

To install the Team Foundation Server (services)

  1. Complete the installation of the data tier and complete the application tier prerequisites. For more information, see Installing Team Foundation Server (services) and Team Foundation Installation Roadmap for Dual-Server Deployment.

  2. On the application tier computer, log on to Windows using the Team Foundation Server Setup account (for example, Domain\TFSSETUP).

  3. On the autorun page that appears after inserting the installation media, click Install Team Foundation Server, click Dual-Server Installation, and then click Install the Team Foundation Application Tier ONLY.

    If the autorun page does not appear, locate and run the autorun file (autorun.exe) in the root folder on the installation media.

    The Visual Studio Team Foundation Server (services) Setup wizard starts.

  4. On the Welcome to Setup page, click Next.

  5. On the End-User License Agreement and Product Key page, review the license agreement. If you accept the terms and conditions, select I accept the terms of the License Agreement, and then click Next.

  6. On the System Health Check page, the setup wizard will scan your system for conditions that could cause setup to fail, or cause issues later during server operation. After completing the system scan, setup will report the status of the system health check. If the system health check finds any issues, you can click a link to review a report about specific warnings and blocks. Warnings should be addressed before continuing with setup, but should not prevent setup from completing. Blocks must be addressed before continuing with setup. If the system health check did not find any blocks, click Next. Otherwise, click Cancel and run setup again after fixing any blocking issues.

  7. On the Destination Folder and Database Server page, type the following information:

    • In the Destination folder box, type the installation path, or accept the default.

    • In the Database Server box, type the name of the computer on which you installed the Team Foundation Server (databases).

      Note Note

      You must use the name of the computer, not the IP address.

  8. On the Service Account page, type the account information for the Team Foundation Server Service account (for example, Domain\TFSSERVICE), and then click Next.

  9. On the Reporting Logon Account page, type the account information for the Team Foundation Server Reporting account (for example, Domain\TFSREPORTS), and then click Next.

    Note Note

    This account should not be the same as the Team Foundation Server Setup or Service accounts.

  10. On the Team Foundation Alerts page, type the following information:

    1. In the SMTP server box, type the name of the server that you will use to send Team Foundation Alerts.

    2. In the From e-mail address box, type the name of the e-mail address for sending Team Foundation Alerts, and then click Next.

  11. On the Ready to Install page, click Install.

    During installation, you may be prompted to restart your computer. Click Restart Now and setup will continue after the computer restarts and you log on again.

  12. On the Setup Completed Successfully page, click Finish.

Security

The user account running Team Foundation Server Setup (for example, Domain\TFSSETUP) must be a member of the local Administrators security group (BUILTIN\Administrators) on both computers (application tier and data tier) to install Team Foundation Server (services).

Note Note

The user account used to run Team Foundation Server Setup (for example, Domain\TFSSETUP) is automatically added to the Team Foundation Administrators security group. To add other users to this group, you must use an account that is already a member of this security group (for example, Domain\TFSSETUP). For more information, see How to: Add Users to the Team Foundation Administrators Application Group.

See Also

Tasks

Team Foundation Installation Roadmap for Dual-Server Deployment

Other Resources

Installing Team Foundation Server (services)


Overview of Installing Team Foundation Build

Overview of Installing Team Foundation Build
DropDown image

[This topic is pre-release documentation and is subject to change in future releases. Blank topics are included as placeholders.]

Team Foundation Server offers build automation to help you build and share Visual Studio 2005 solutions using Team Foundation Build. You can install Team Foundation Build on the same computer as the Team Foundation application tier or on a separate computer.

In This Section

How to: Install Team Foundation Build

Use this procedure to install Team Foundation Build.

Related Sections

Team Foundation System Requirements

Provides the system requirements for hardware and software to install this release of Team Foundation Server.

Overview of Team Foundation Server Security for Setup

Provides security-related information for installing Team Foundation Server.

Overview of Team Foundation Server Single-Server Deployment

Use the procedures in this section to install and configure Team Foundation Server on one server.

Overview of Team Foundation Server Dual-Server Deployment

Use the procedures in this section to install and configure Team Foundation Server using two computers, one for the data tier components and another for the application tier components.

Overview of Installing Team Foundation Server Proxy

Use the procedures in this section to install Team Foundation Server Proxy, which caches previously accessed source control files.

Overview of Installing Team Explorer

Use the procedures in this section to install and configure Team Explorer.

See Also

Concepts

Team Foundation Installation


How to: Install Team Foundation Build

How to: Install Team Foundation Build

[This topic is pre-release documentation and is subject to change in future releases. Blank topics are included as placeholders.]

Use this procedure to install Team Foundation Build.

How to install Team Foundation Build

  1. On the Team Foundation Server installation media, locate the \bb folder and run setup.exe.

    The Visual Studio 2005 Team Foundation Build Server Setup wizard starts.

  2. On the Welcome to Setup page, click Next.

  3. On the End-User License Agreement and Product Key page, review the license agreement. If you accept the terms and conditions, select I accept the terms of the License Agreement, and then click Next.

  4. On the System Health Check page, the setup wizard will scan your system for conditions that could cause setup to fail, or cause issues later during server operation. After completing the system scan, setup will report the status of the system health check. If the system health check finds any issues, you can click a link to review a report about specific warnings and blocks. Warnings should be addressed before continuing with setup, but should not prevent setup from completing. Blocks must be addressed before continuing with setup. If the system health check did not find any blocks, click Next. Otherwise, click Cancel and run setup again after fixing any blocking issues.

  5. On the Destination Folder page, accept the default destination folder and click Next.

  6. On the Service Account page, type the Windows domain user account you created for the Team Foundation Server Service account (for example, Domain\TFSSERVICE) in the Account Name box, type the password in the Password box, and then click Next. For more information, see User Accounts Required for Team Foundation Server Setup.

    Note Note

    For this release, you must use the same Windows domain user account as the Team Foundation Server Service account.

  7. On the Ready to Install page, click Install.

    Note Note

    Setup will create program exceptions for MSBuild.exe and TeamBuildService.exe in Windows Firewall to permit communication with Team Foundation Server.

  8. On the Installing Components page, you can monitor the installation of Team Build.

  9. On the Setup Completed Successfully page, click Finish.

Security

The user account running Visual Studio 2005 Team Foundation Build Server Setup (for example, Domain\TFSSETUP) must be a member of the local Administrators security group (BUILTIN\Administrators).

See Also

Other Resources

Overview of Installing Team Foundation Build


Overview of Installing Team Foundation Server Proxy

Overview of Installing Team Foundation Server Proxy
DropDown image

[This topic is pre-release documentation and is subject to change in future releases. Blank topics are included as placeholders.]

Use the procedures in this section to install Team Foundation Server Proxy, which caches previously accessed source control files. You can install Team Foundation Server Proxy on the same computer as the Team Foundation application tier or on a separate computer.

In This Section

How to: Install Internet Information Services for Team Foundation Server Proxy

Describes how to install Internet Information Services (IIS) 6.0 for Team Foundation Server Proxy.

How to: Install Team Foundation Server Proxy

Describes how to install Team Foundation Server Proxy, which can improve source control operations by caching previously accessed files.

How to: Configure Team Explorer to Use a Team Foundation Server Proxy

Describes how to configure Team Explorer to use a Team Foundation Server Proxy.

Related Sections

Team Foundation System Requirements

Provides the system requirements for hardware and software to install this release of Team Foundation Server.

Overview of Team Foundation Server Security for Setup

Provides security-related information for installing Team Foundation Server.

Overview of Team Foundation Server Single-Server Deployment

Use the procedures in this section to install and configure Team Foundation Server on one server.

Overview of Team Foundation Server Dual-Server Deployment

Use the procedures in this section to install and configure Team Foundation Server using two computers, one for the data tier components and another for the application tier components.

Overview of Installing Team Foundation Build

Use the procedures in this section to install and configure Team Foundation Build, which provides build automation to help you build and share Visual Studio 2005 solutions.

Overview of Installing Team Explorer

Use the procedures in this section to install and configure Team Explorer.

See Also

Concepts

Team Foundation Installation


How to: Install Internet Information Services for Team Foundation Server Proxy

How to: Install Internet Information Services for Team Foundation Server Proxy
See Also

[This topic is pre-release documentation and is subject to change in future releases. Blank topics are included as placeholders.]

Use this procedure to install Internet Information Services (IIS) 6.0 for Team Foundation Server Proxy.

To configure the server as an application server

  1. Start the Configure Your Server Wizard by doing either of the following:

    • By default, Manage Your Server starts automatically when Windows starts. From Manage Your Server, click Add or remove a role.

    • From Control Panel, open Administrative Tools, and then open Configure Your Server Wizard.

  2. On the Welcome to the Configure Your Server Wizard page, click Next.

  3. On the Preliminary Steps page, click Next.

  4. On the Server Role page, select Application server (IIS, ASP.NET), and then click Next.

  5. On the Application Server Options page, select Enable ASP.NET, and then click Next.

  6. On the Summary of Selections page, click Next.

    Note Note

    You may be prompted for your Windows Server 2003 installation media.

  7. Click Finish to complete the wizard.

  8. Visit Windows Update (http://windowsupdate.microsoft.com) and install all items in the Critical Updates and Service Packs group.

To enable ASP.NET using the Add or Remove Programs utility

  1. From Control Panel, open Add or Remove Programs.

  2. Click Add/Remove Windows Components.

    The Windows Components Wizard starts.

  3. On the Windows Components page, select Application Server, and then click Details.

  4. If not already checked, select ASP.NET, and then click OK.

  5. On the Windows Components page, click Next.

    Note Note

    You may be prompted for your Windows Server 2003 installation media.

  6. Click Finish to close the wizard.

  7. Visit Windows Update (http://windowsupdate.microsoft.com) and install all items in the Critical Updates and Service Packs group.

See Also

Tasks

How to: Install Team Foundation Server Proxy

Other Resources

Overview of Installing Team Foundation Server Proxy


How to: Install Team Foundation Server Proxy

How to: Install Team Foundation Server Proxy

[This topic is pre-release documentation and is subject to change in future releases. Blank topics are included as placeholders.]

Describes how to install Team Foundation Server Proxy, which can improve source control operations by caching previously accessed files. You can install Team Foundation Server Proxy on the same computer as Team Foundation Server (services), or on a separate computer.

To install Team Foundation Server Proxy

  1. Install and complete the prerequisites for a Team Foundation Server Proxy computer:

    1. Install Windows Server 2003 with SP1 Enterprise or Standard Edition.

    2. Add the Team Foundation Server Setup account (for example, Domain\TFSSETUP) to the local Administrators group. For more information, see User Accounts Required for Team Foundation Server Setup.

    3. Install Internet Information Services 6.0 and enable ASP.NET. For more information, see How to: Install Internet Information Services for Team Foundation Server Proxy.

    4. Team Foundation Server is installed on this computer, or elsewhere.

  2. On the application tier computer, log on to Windows using the Team Foundation Server Setup account (for example, Domain\TFSSETUP).On the Team Foundation Server installation media, locate the \atp folder and run setup.exe.

    The Visual Studio 2005 Team Foundation Server Proxy Setup wizard starts.

  3. On the Welcome to Setup page, click Next.

  4. On the End-User License Agreement and Product Key page, review the license agreement. If you accept the terms and conditions, select I accept the terms of the License Agreement, and then click Next.

  5. On the System Health Check page, the setup wizard will scan your system for conditions that could cause setup to fail, or cause issues later during server operation. After completing the system scan, setup will report the status of the system health check. If the system health check finds any issues, you can click a link to review a report about specific warnings and blocks. Warnings should be addressed before continuing with setup, but should not prevent setup from completing. Blocks must be addressed before continuing with setup. If the system health check did not find any blocks, click Next. Otherwise, click Cancel and run setup again after fixing any blocking issues.

  6. On the Destination Folder page, accept the default destination folder and click Next.

  7. On the next page, accept the default cache folder and click Next.

  8. On the Service Account page, type the Windows domain user account you created for the Team Foundation Server Service account (for example, Domain\TFSSERVICE) in the Account Name box, type the password in the Password box, and then click Next. For more information, see User Accounts Required for Team Foundation Server Setup.

    Note Note

    For this release, you must use the same Windows domain user account as the Team Foundation Server Service account.

  9. On the Ready to Install page, click Install.

  10. On the Installing Components page, you can monitor the installation of Team Foundation Server Proxy.

  11. On the Setup Completed Successfully page, click Finish.

Security

The user account running Team Foundation Server Proxy Setup (for example, Domain\TFSSETUP) must be a member of the local Administrators security group (BUILTIN\Administrators).

See Also

Other Resources

Overview of Installing Team Foundation Server Proxy


How to: Configure Team Explorer to Use a Team Foundation Server Proxy

How to: Configure Team Explorer to Use a Team Foundation Server Proxy
See Also

[This topic is pre-release documentation and is subject to change in future releases. Blank topics are included as placeholders.]

Describes how to configure Team Explorer to use a Team Foundation Server Proxy.

To Configure Team Explorer to Use a Team Foundation Server Proxy

  1. Start Microsoft Visual Studio 2005.

  2. On the Tools menu, click Options.

  3. Expand Source Control, and then click Visual Studio Team Foundation.

  4. Select Use proxy server.

  5. In the Team Foundation Server name box, type the name of the computer hosting Team Foundation Server Proxy.

  6. In the Port box, type 8081.

  7. In Protocol, select Http.

  8. Click OK.

See Also

Other Resources

Overview of Installing Team Foundation Server Proxy


Overview of Installing Team Explorer

Overview of Installing Team Explorer
DropDown image

[This topic is pre-release documentation and is subject to change in future releases. Blank topics are included as placeholders.]

Use the procedures in this section to install and configure Team Explorer. You can install Team Explorer on the same computer as the Team Foundation application tier or on a separate computer.

In This Section

How to: Install Team Explorer Prerequisites

Describes how to install the Team Explorer prerequisites.

How to: Install Team Explorer

Describes how to install Team Explorer.

How to: Connect Team Explorer to Team Foundation Server

Describes how to connect to Team Foundation Server from Team Explorer.

Related Sections

Team Foundation System Requirements

Provides the system requirements for hardware and software to install this release of Team Foundation Server.

Overview of Team Foundation Server Security for Setup

Provides security-related information for installing Team Foundation Server.

Overview of Team Foundation Server Single-Server Deployment

Use the procedures in this section to install and configure Team Foundation Server on one server.

Overview of Team Foundation Server Dual-Server Deployment

Use the procedures in this section to install and configure Team Foundation Server using two computers, one for the data tier components and another for the application tier components.

Overview of Installing Team Foundation Build

Use the procedures in this section to install and configure Team Foundation Build, which provides build automation to help you build and share Visual Studio 2005 solutions.

Overview of Installing Team Foundation Server Proxy

Use the procedures in this section to install Team Foundation Server Proxy, which caches previously accessed source control files.

See Also

Concepts

Team Foundation Installation


How to: Install Team Explorer Prerequisites

How to: Install Team Explorer Prerequisites

[This topic is pre-release documentation and is subject to change in future releases. Blank topics are included as placeholders.]

Use this procedure to install the Team Explorer prerequisites.

To install the prerequisites for the client tier

  1. Install an operating system that meets the system requirements for Visual Studio 2005 as specified in the Visual Studio 2005 Readme.

    Note Note

    If installing the Team Foundation client tier on the same computer as the Team Foundation application tier, complete the installation of the application tier prior to installing client tier components.

  2. Visit Windows Update (http://windowsupdate.microsoft.com) and install all items in the Critical Updates and Service Packs group.

  3. Install Microsoft Office Excel 2003. On the Type of Installation page of the installation wizard, select Complete Install.

    Note Note

    If you chose to customize install features, you must install .NET Programmability Support to utilize Team System integration features.

  4. Install Microsoft Office Project Professional 2003. On the Type of Installation page of the installation wizard, select Complete Install.

    Note Note

    If you chose to customize install features, you must install .NET Programmability Support to utilize Team System integration features.

  5. Visit Windows Update (http://windowsupdate.microsoft.com) and install all items in the Critical Updates and Service Packs group.

  6. Visit Office Update (http://office.microsoft.com/officeupdate) and install any available updates.

Internet Explorer Enhanced Security Configuration

If you are installing Team Explorer on Windows Server 2003, you need to apply Windows 2000 default Internet Explorer security settings to enable Team Foundation functionality for the client. To apply Windows 2000 default Internet Explorer security settings on Windows Server 2003, you must disable Internet Explorer Enhanced Security Configuration.

Note Important

Applying the Windows 2000 default Internet Explorer security settings increases your server's exposure to potential attacks from malicious Web-based content.

To apply Windows 2000 default Internet Explorer security settings

  1. Open Control Panel, click Add or Remove Programs, and then click Add/Remove Windows Components.

  2. Clear the Internet Explorer Enhanced Security Configuration check box, and then click Next.

  3. Click Finish.

  4. Restart Internet Explorer to apply the changes.

See Also

Other Resources

Overview of Installing Team Explorer


How to: Install Team Explorer

How to: Install Team Explorer

[This topic is pre-release documentation and is subject to change in future releases. Blank topics are included as placeholders.]

Use this procedure to install Team Explorer.

To install Team Explorer

  1. Complete the prerequisites for installing Team Explorer. For more information, see How to: Install Team Explorer Prerequisites.

  2. On the autorun page of the Team Foundation Server setup wizard, click Install Team Foundation Client.

    If the autorun page does not appear, locate and run the autorun file (autorun.exe) in the \vs folder on the installation media.

    The Visual Studio 2005 Team Explorer Setup wizard starts.

  3. On the Welcome to Setup page, click Next.

  4. On the End-User License Agreement and Product Key page, review the license agreement. If you accept the terms and conditions, select I accept the terms of the License Agreement, and then click Next.

  5. On the System Health Check page, the setup wizard will scan your system for conditions that could cause setup to fail, or cause issues later during server operation. After completing the system scan, setup will report the status of the system health check. If the system health check finds any issues, you can click a link to review a report about specific warnings and blocks. Warnings should be addressed before continuing with setup, but should not prevent setup from completing. Blocks must be addressed before continuing with setup. If the system health check did not find any blocks, click Next. Otherwise, click Cancel and run setup again after fixing any blocking issues.

  6. On the Destination Folder page, click Next.

  7. On the Ready to Install page, click Install.

  8. On the Setup Completed Successfully page, click Finish.

See Also

Other Resources

Overview of Installing Team Explorer


How to: Connect Team Explorer to Team Foundation Server

How to: Connect Team Explorer to Team Foundation Server

[This topic is pre-release documentation and is subject to change in future releases. Blank topics are included as placeholders.]

Use this procedure to add and connect to a Team Foundation Server from Team Explorer, or to remove a Team Foundation Server from Team Explorer.

To add a Team Foundation Server

  1. Start Microsoft Visual Studio 2005.

  2. On the Tools menu, click Connect to Team Foundation Server.

    The Connect to Team Foundation Server dialog box appears.

  3. Click Servers.

    The Add/Remove Team Foundation Server dialog box appears.

  4. Click Add.

    The Add Team Foundation Server dialog box appears.

  5. In the Team Foundation Server Name box, type the name of the computer hosting the Team Foundation Server application tier.

  6. In the Port Number box, specify the port to use for this connection (the default port is 8080 for HTTP) and select the corresponding protocol.

  7. Click OK to return to the Add/Remove Team Foundation Server dialog box.

  8. Click Close to return to the Connect to Team Foundation Server dialog box.

  9. If any team projects exist on this Team Foundation Server, select the ones you want to use.

  10. Click OK.

To connect to a Team Foundation Server

  1. Start Microsoft Visual Studio 2005.

  2. On the Tools menu, click Connect to Team Foundation Server.

    The Connect to Team Foundation Server dialog box appears.

  3. In the Connect to a Team Foundation Server list, select the Team Foundation Server you want to use.

  4. If any team projects exist on this Team Foundation Server, select the ones you want to use.

  5. Click OK.

To remove a Team Foundation Server

  1. Start Microsoft Visual Studio 2005.

  2. On the Tools menu, click Connect to Team Foundation Server.

    The Connect to Team Foundation Server dialog box appears.

  3. Click Servers.

    The Add/Remove Team Foundation Server dialog box appears.

  4. In the Team Foundation Server List, select the Team Foundation Server to remove, and then click Remove.

  5. Click Close to return to the Team Foundation Server dialog box, and then click OK.

See Also

Other Resources

Overview of Installing Team Explorer


Team Foundation Installation Guide Legal Notices

Team Foundation Installation Guide Legal Notices
CollapseAll image DropDown image

[This topic is pre-release documentation and is subject to change in future releases. Blank topics are included as placeholders.]

This section provides legal notices pertaining to the Team Foundation Installation Guide.

Expand image Legal Notices

This document supports a preliminary release of a software product that may be changed substantially prior to final commercial release. This document is provided for informational purposes only and Microsoft makes no warranties, either express or implied, in this document. Information in this document, including URL and other Internet Web site references, is subject to change without notice. The entire risk of the use or the results from the use of this document remains with the user. Unless otherwise noted, the example companies, organizations, products, domain names, e-mail addresses, logos, people, places, and events depicted herein are fictitious, and no association with any real company, organization, product, domain name, e-mail address, logo, person, place, or event is intended or should be inferred. Complying with all applicable copyright laws is the responsibility of the user. Without limiting the rights under copyright, no part of this document may be reproduced, stored in or introduced into a retrieval system, or transmitted in any form or by any means (electronic, mechanical, photocopying, recording, or otherwise), or for any purpose, without the express written permission of Microsoft Corporation.

Microsoft may have patents, patent applications, trademarks, copyrights, or other intellectual property rights covering subject matter in this document. Except as expressly provided in any written license agreement from Microsoft, the furnishing of this document does not give you any license to these patents, trademarks, copyrights, or other intellectual property.

© 2005 Microsoft Corporation. All rights reserved.

Microsoft, Visual Studio, Windows, SharePoint, and Windows Server are either registered trademarks or trademarks of Microsoft Corporation in the United States and/or other countries.

All other trademarks are property of their respective owners.


TFSInstallhxs {2DDA7CF9-E8CF-4df1-98E8-521EDE1C5FC7}

TFSInstallhxs {2DDA7CF9-E8CF-4df1-98E8-521EDE1C5FC7}
DropDown image

[This topic is pre-release documentation and is subject to change in future releases. Blank topics are included as placeholders.]

TFSInstallhxs {2DDA7CF9-E8CF-4df1-98E8-521EDE1C5FC7}

{2DDA7CF9-E8CF-4df1-98E8-521EDE1C5FC7}

{2DDA7CF9-E8CF-4df1-98E8-521EDE1C5FC7}

Full Text Search and Index Debug Topic graphic